MrSID Decode SDK for Raster Reference Manual 9.5.4.4709

- Main Page
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
LTIOverrideBackgroundPixelData Struct Reference

`#include <lti_imageStageOverrides.h>`

Inheritance diagram for LTIOverrideBackgroundPixelData:
[legend]
Collaboration diagram for LTIOverrideBackgroundPixelData:
[legend]

## Public Member Functions
| LTIOverrideBackgroundPixelData ()
| ~LTIOverrideBackgroundPixelData ()
LT_STATUS | setBackgroundPixel (const LTIPixel *backgroundPixel)
| set the background color of the image More...
LT_STATUS | setNoDataPixel (const LTIPixel *nodataPixel)
| set the "no data" (transparency) color of the image More...

## Public Attributes
LTIPixel * | m_backgroundPixel
LTIPixel * | m_nodataPixel

## Detailed Description

Definition at line 194 of file lti_imageStageOverrides.h.

## Constructor & Destructor Documentation

LTIOverrideBackgroundPixelData::LTIOverrideBackgroundPixelData | ( | ) |  |

LTIOverrideBackgroundPixelData::~LTIOverrideBackgroundPixelData | ( | ) |  |

## Member Function Documentation

LT_STATUS LTIOverrideBackgroundPixelData::setBackgroundPixel | ( | const LTIPixel * | backgroundPixel) |  |

This function is used to set the background color of the image.

Derived classes may choose to call this function from within their initialize() method. If the background color is not set, or if NULL is passed in, a background color of black (sample values of 0) will be used. (Exception: for CMYK images, the background is set to white.)

Parameters

  backgroundPixel | the data for the background color

Returns
  status code indicating success or failure

Referenced by LTIOverrideBackgroundPixel< LTIOverrideMetadata< LTIImageFilter > >::overrideBackgroundPixel().

LT_STATUS LTIOverrideBackgroundPixelData::setNoDataPixel | ( | const LTIPixel * | nodataPixel) |  |

This function is used to set the "no data" or transparency color of the image.

Derived classes may choose to call this function from within their initialize() method. If the transparency color is not set, or if NULL is passed in, the image will be assumed to have no transparent pixels.

Parameters

  nodataPixel | the data for the transparency color

Returns
  status code indicating success or failure

Referenced by LTIOverrideBackgroundPixel< LTIOverrideMetadata< LTIImageFilter > >::overrideNoDataPixel().

## Member Data Documentation

LTIPixel* LTIOverrideBackgroundPixelData::m_backgroundPixel

Definition at line 229 of file lti_imageStageOverrides.h.

Referenced by LTIOverrideBackgroundPixel< LTIOverrideMetadata< LTIImageFilter > >::getBackgroundPixel().

LTIPixel* LTIOverrideBackgroundPixelData::m_nodataPixel

Definition at line 230 of file lti_imageStageOverrides.h.

Referenced by LTIOverrideBackgroundPixel< LTIOverrideMetadata< LTIImageFilter > >::getNoDataPixel().

The documentation for this struct was generated from the following file:

- lti_imageStageOverrides.h

LizardTech